Name:           snoopy
Version:        1.9.0
Release:        1%{?dist}
Summary:        A preload library to send shell commands to syslog

Group:          System Environment/Libraries
License:        GPLv2+
URL:            https://github.com/a2o/snoopy
Source0:        https://github.com/a2o/snoopy/archive/snoopy-%{version}.tar.gz
Source1:        README.Fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Snoopy is designed to aid a sysadmin by providing a log of commands 
executed. Snoopy is completely transparent to the user and applications.
It is linked into programs to provide a wrapper around calls to execve().
Logging is done via syslog.  

%prep
%setup -q -n snoopy-snoopy-%{version}
cp -p %{SOURCE1} .

%build
%configure --libdir=/%{_lib}
make %{?_smp_mflags}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%install
rm -rf %{buildroot}
# Make install does not respect DESTDIR.
# so do by hand.
#mkdir -p %{buildroot}/%{_lib}
#install -m 755 snoopy.so %{buildroot}/%{_lib}/snoopy.so
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/%{_lib}/snoopy.so
%doc COPYING README.md ChangeLog README.Fedora README.filtering

%changelog
* Thu Sep 19 2013 Steve Traylen <steve.traylen@cern.ch> 1.9.0-1A
- New upstream version, also upstream moved to github.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 26 2012 Steve Traylen <steve.traylen@cern.ch> - 1.8.0-3
- Correct previous wrong date in changelog.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon May 2 2011 Steve Traylen <steve.traylen@cern.ch> - 1.8.0-1
- New upstream 1.8.0
- Use make install 
- Clarify README.Fedora to use $LIB for configuration. rhbz#701241.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Steve Traylen <steve.traylen@cern.ch> - 1.7.10-1
- New upstream 1.7.10

* Mon Jan 10 2011 Steve Traylen <steve.traylen@cern.ch> - 1.7.9-1
- New upstream 1.7.9

* Mon Nov 1 2010 Steve Traylen <steve.traylen@cern.ch> - 1.7.6-1
- New upstream 1.7.6

* Fri Aug 6 2010 Steve Traylen <steve.traylen@cern.ch> - 1.7.1-2
- Move lib from /usr/lib64 to /lib64 since a preload over glibc.

* Fri Aug 6 2010 Steve Traylen <steve.traylen@cern.ch> - 1.7.1-1
- New upstream 1.7.1-1

* Wed Aug 4 2010 Steve Traylen <steve.traylen@cern.ch> - 1.6.1-3
- Don't edit /etc/ld.so.preload, instead provide README.Fedora

* Tue Aug 3 2010 Steve Traylen <steve.traylen@cern.ch> - 1.6.1-2
- Call ldconfig in post and preun

* Tue Aug 3 2010 Steve Traylen <steve.traylen@cern.ch> - 1.6.1-1
- Initial packaging.

